/*
 * Copyright 2008 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * @fileoverview Definitions for all the extensions over the
 *  W3C's event specification by IE in JScript. This file depends on
 *  w3c_event.js. The whole file has NOT been fully type annotated.
 *
 * @externs
 */

Event.prototype.Abstract;
Event.prototype.altKey;
Event.prototype.altLeft;
Event.prototype.Banner;
Event.prototype.button;
Event.prototype.cancelBubble;
Event.prototype.clientX;
Event.prototype.clientY;
/**
 * @see http://msdn.microsoft.com/en-us/library/ms535220(VS.85).aspx
 * @type {ClipboardData|undefined}
 */
Event.prototype.clipboardData;
Event.prototype.contentOverflow;
Event.prototype.ctrlKey;
Event.prototype.ctrlLeft;
Event.prototype.data;
Event.prototype.dataFld;
Event.prototype.domain;
Event.prototype.fromElement;
Event.prototype.keyCode;
Event.prototype.MoreInfo;
Event.prototype.nextPage;
Event.prototype.offsetX;
Event.prototype.offsetY;
Event.prototype.propertyName;
Event.prototype.qualifier;
Event.prototype.reason;
Event.prototype.recordset;
Event.prototype.repeat;
/**
 * @type {boolean|string|undefined}
 */
Event.prototype.returnValue;
Event.prototype.saveType;
Event.prototype.scheme;
Event.prototype.screenX;
Event.prototype.screenY;
Event.prototype.shiftKey;
Event.prototype.shiftLeft;
Event.prototype.source;
Event.prototype.srcElement;
Event.prototype.srcFilter;
Event.prototype.srcUrn;
Event.prototype.toElement;
Event.prototype.type;
Event.prototype.userName;
Event.prototype.wheelDelta;
Event.prototype.x;
Event.prototype.y;
